/**
 * @file pic32mz_ef_curiosity.h
 * @brief PIC32MZ EF Curiosity
 *
 * @section License
 *
 * Copyright (C) 2010-2019 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.2
 **/

#ifndef _PIC32MZ_EF_CURIOSITY_H
#define _PIC32MZ_EF_CURIOSITY_H

//Dependencies
#include <p32xxxx.h>

//LEDs
#define LED1_MASK   (1 << 3)
#define LED2_MASK   (1 << 4)
#define LED3_MASK   (1 << 6)
#define LED4_R_MASK (1 << 5)
#define LED4_G_MASK (1 << 1)
#define LED4_B_MASK (1 << 0)

//Push button
#define SW1_MASK (1 << 12)

#endif
